package com.bocloud.cmp.model;

/**
 * 物理机器业务类
 *
 * @author wei wei
 * @version 1.0
 * @since 2016.03.31
 */
public class ServerBean {
    private Long id; // ID
    private String name; // 名称
    private String category; // 类别
    private String assetCategory;// 资产类别
    private String catalog;
    private String uuid; // UUID
    private String manageIp; // 管理IP
    private Long dcId; //数据中心ID
    private Long roomId; //机房ID
    private Long rackId; // 机柜ID
    private String hostname;
    private String serviceIp;
    private String osCategory;// 系统类别
    private String props;
    /**
     * PBSM-8385 bug fix
     * <p>
     * CENTOS, UBUNTU, REDHAT, ESXI, WINDOWSSERVER, SUSE
     */
    private String os;// 系统类型

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the category
     */
    public String getCategory() {
        return category;
    }

    /**
     * @param category the category to set
     */
    public void setCategory(String category) {
        this.category = category;
    }

    /**
     * @return the catalog
     */
    public String getCatalog() {
        return catalog;
    }

    /**
     * @param catalog the catalog to set
     */
    public void setCatalog(String catalog) {
        this.catalog = catalog;
    }

    /**
     * @return the uuid
     */
    public String getUuid() {
        return uuid;
    }

    /**
     * @param uuid the uuid to set
     */
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    /**
     * @return the manageIp
     */
    public String getManageIp() {
        return manageIp;
    }

    /**
     * @param manageIp the manageIp to set
     */
    public void setManageIp(String manageIp) {
        this.manageIp = manageIp;
    }

    /**
     * @return the rackId
     */
    public Long getRackId() {
        return rackId;
    }

    /**
     * @param rackId the rackId to set
     */
    public void setRackId(Long rackId) {
        this.rackId = rackId;
    }

    /**
     * @return the hostname
     */
    public String getHostname() {
        return hostname;
    }

    /**
     * @param hostname the hostname to set
     */
    public void setHostname(String hostname) {
        this.hostname = hostname;
    }

    /**
     * @return the serviceIp
     */
    public String getServiceIp() {
        return serviceIp;
    }

    /**
     * @param serviceIp the serviceIp to set
     */
    public void setServiceIp(String serviceIp) {
        this.serviceIp = serviceIp;
    }

    /**
     * @return the osCategory
     */
    public String getOsCategory() {
        return osCategory;
    }

    /**
     * @param osCategory the osCategory to set
     */
    public void setOsCategory(String osCategory) {
        this.osCategory = osCategory;
    }

    /**
     * @return the assetCategory
     */
    public String getAssetCategory() {
        return assetCategory;
    }

    /**
     * @param assetCategory the assetCategory to set
     */
    public void setAssetCategory(String assetCategory) {
        this.assetCategory = assetCategory;
    }

    public Long getDcId() {
        return dcId;
    }

    public void setDcId(Long dcId) {
        this.dcId = dcId;
    }

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public String getOs() {
        return os;
    }

    public void setOs(String os) {
        this.os = os;
    }

    public String getProps() {
        return props;
    }

    public void setProps(String props) {
        this.props = props;
    }
}
